@echo off
rem OCO Source Materials
rem Licensed Materials - Property of IBM
rem 5724-C02
rem (C) Copyright IBM Corp. 2003  All Rights Reserved.
rem US Government Users Restricted Rights - Use, duplication or
rem disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
rem %Z%%M%   %I%   %W% %G% %U%

setlocal

rem INSTRUMENT_BIN is the directory where this program is installed.
set INSTRUMENT_BIN_DIR=%~s0
set INSTRUMENT_BIN_DIR=%INSTRUMENT_BIN_DIR:~0,-12%

set CLI_LOG_DIR=%INSTRUMENT_BIN_DIR%..\cli
set CLI_CONFIG_DIR=%INSTRUMENT_BIN_DIR%..\cli\config
set INSTRUMENT_LIB_DIR=%INSTRUMENT_BIN_DIR%..\lib
set TMTP_LIB_DIR=%INSTRUMENT_BIN_DIR%..\..\..\..\lib
set TMTP_USER_DIR=%INSTRUMENT_BIN_DIR%..\..\..\..
set IC_CONFIG_DIR=%INSTRUMENT_BIN_DIR%..\ic\config
set JRE_BIN_DIR=%INSTRUMENT_BIN_DIR%..\..\..\..\jre142\jre\bin

set CLASSPATH=%INSTRUMENT_LIB_DIR%\instrument.jar
set CLASSPATH=%CLASSPATH%;%INSTRUMENT_LIB_DIR%\j2eeprereq.jar
set CLASSPATH=%CLASSPATH%;%INSTRUMENT_LIB_DIR%\j2eebehavior.jar
set CLASSPATH=%CLASSPATH%;%INSTRUMENT_LIB_DIR%\jiti.jar
set CLASSPATH=%CLASSPATH%;%IC_CONFIG_DIR%
set CLASSPATH=%CLASSPATH%;%TMTP_LIB_DIR%\commons-cli-1.0.jar
set CLASSPATH=%CLASSPATH%;%TMTP_LIB_DIR%\jakarta12.jar
set CLASSPATH=%CLASSPATH%;%TMTP_LIB_DIR%\log.jar
set CLASSPATH=%CLASSPATH%;%TMTP_LIB_DIR%\jlog.jar
set CLASSPATH=%CLASSPATH%;%TMTP_LIB_DIR%\jffdc.jar
set CLASSPATH=%CLASSPATH%;%TMTP_LIB_DIR%\jflt.jar
set CLASSPATH=%CLASSPATH%;%TMTP_LIB_DIR%\ejflt.jar
set CLASSPATH=%CLASSPATH%;%TMTP_LIB_DIR%\copyright.jar
set CLASSPATH=%CLASSPATH%;%TMTP_LIB_DIR%\xmlParserAPIs.jar
set CLASSPATH=%CLASSPATH%;%TMTP_LIB_DIR%\xercesImpl.jar
set CLASSPATH=%CLASSPATH%;%TMTP_LIB_DIR%\valueObjects.jar
set CLASSPATH=%CLASSPATH%;%TMTP_LIB_DIR%\tmtp_l10n.jar
set CLASSPATH=%CLASSPATH%;%TMTP_LIB_DIR%\sm.jar
set CLASSPATH=%CLASSPATH%;%TMTP_LIB_DIR%\jmxx.jar
set CLASSPATH=%CLASSPATH%;%TMTP_LIB_DIR%\jmxc.jar
set CLASSPATH=%CLASSPATH%;%TMTP_LIB_DIR%\core_util.jar


set PATH=%JRE_BIN_DIR%;%PATH%

java -Djlog.propertyFileDir=%CLI_CONFIG_DIR% -Dcom.ibm.tivoli.transperf.logging.qualDir="J2EE/cli" -DW32ProgFilesDir="%PROGRAMFILES%" -Dtmtp.user.dir=%TMTP_USER_DIR% -DINSTRUMENT_BIN_DIR=%INSTRUMENT_BIN_DIR% com.ibm.tivoli.transperf.instr.install.AssociationModifier %*

endlocal
