#!/bin/sh
# OCO Source Materials
# Licensed Materials - Property of IBM
# 5724-C02
# (C) Copyright IBM Corp. 2003 - 2005  All Rights Reserved.
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# %Z%%M%   %I%   %W% %G% %U%

INSTRUMENT_BIN_DIR=`dirname $0`
CLI_CONFIG_DIR=${INSTRUMENT_BIN_DIR}/../cli/config
INSTRUMENT_LIB_DIR=${INSTRUMENT_BIN_DIR}/../lib
TMTP_LIB_DIR=${INSTRUMENT_BIN_DIR}/../../../../lib
TMTP_USER_DIR=${INSTRUMENT_BIN_DIR}/../../../..
JRE_BIN_DIR=${INSTRUMENT_BIN_DIR}/../../../../jre142/jre/bin:${INSTRUMENT_BIN_DIR}/../../../../jre142/bin

CLASSPATH="${INSTRUMENT_LIB_DIR}/j2eebehavior.jar"
CLASSPATH="${CLASSPATH}:${TMTP_LIB_DIR}/valueObjects.jar"
CLASSPATH="${CLASSPATH}:${TMTP_LIB_DIR}/jlog.jar"
CLASSPATH="${CLASSPATH}:${TMTP_LIB_DIR}/log.jar"
CLASSPATH="${CLASSPATH}:${TMTP_LIB_DIR}/ejflt.jar"
CLASSPATH="${CLASSPATH}:${TMTP_LIB_DIR}/jffdc.jar"
CLASSPATH="${CLASSPATH}:${TMTP_LIB_DIR}/jflt.jar"
CLASSPATH="${CLASSPATH}:${TMTP_LIB_DIR}/core_util.jar"
CLASSPATH="${CLASSPATH}:${TMTP_LIB_DIR}/commons-cli-1.0.jar"
CLASSPATH="${CLASSPATH}:${TMTP_LIB_DIR}/xercesImpl.jar"
CLASSPATH="${CLASSPATH}:${TMTP_LIB_DIR}/xmlParserAPIs.jar"
CLASSPATH="${CLASSPATH}:${TMTP_LIB_DIR}/ibmjsse.jar"
CLASSPATH="${CLASSPATH}:${TMTP_LIB_DIR}/sm.jar"
CLASSPATH="${CLASSPATH}:${TMTP_LIB_DIR}/jmxc.jar"
CLASSPATH="${CLASSPATH}:${TMTP_LIB_DIR}/event_mc_xml.jar"
CLASSPATH="${CLASSPATH}:${TMTP_LIB_DIR}/rbmsg.jar"
CLASSPATH="${CLASSPATH}:${TMTP_LIB_DIR}/concurrency_util.jar"
CLASSPATH="${CLASSPATH}:${TMTP_LIB_DIR}/tmtp_l10n.jar"

PATH=${JRE_BIN_DIR}:${PATH}
export PATH

java -cp "${CLASSPATH}" -Dtmtp.user.dir="${TMTP_USER_DIR}" -Djlog.propertyFileDir="${CLI_CONFIG_DIR}" -Dcom.ibm.tivoli.transperf.logging.qualDir="J2EE/cli" -Dapp.server.type=WebLogic com.ibm.tivoli.transperf.instr.standalone.J2EEStandaloneInstaller "$@"
