@echo off
rem OCO Source Materials
rem Licensed Materials - Property of IBM
rem 5724-C02
rem (C) Copyright IBM Corp. 2003  All Rights Reserved.
rem US Government Users Restricted Rights - Use, duplication or
rem disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
rem @(#)74   1.6   src/Instrument/j2ee/java/com/ibm/tivoli/transperf/instr/install/updateprops.cmd, Instrument, tmtp_54 7/21/04 09:48:38

setlocal

rem INSTRUMENT_BIN is the directory where this program is installed.
set INSTRUMENT_BIN_DIR=%~s0
set INSTRUMENT_BIN_DIR=%INSTRUMENT_BIN_DIR:~0,-12%

set CLI_LOG_DIR=%INSTRUMENT_BIN_DIR%..\cli
set CLI_CONFIG_DIR=%INSTRUMENT_BIN_DIR%..\cli\config
set INSTRUMENT_LIB_DIR=%INSTRUMENT_BIN_DIR%..\lib
set TMTP_LIB_DIR=%INSTRUMENT_BIN_DIR%..\..\..\..\lib
set JRE_BIN_DIR=%INSTRUMENT_BIN_DIR%..\..\..\..\jre142\jre\bin

set CLASSPATH=%INSTRUMENT_LIB_DIR%
set CLASSPATH=%CLASSPATH%;%INSTRUMENT_LIB_DIR%\instrument.jar
set CLASSPATH=%CLASSPATH%;%TMTP_LIB_DIR%
set CLASSPATH=%CLASSPATH%;%TMTP_LIB_DIR%\tmtp_l10n.jar
set CLASSPATH=%CLASSPATH%;%TMTP_LIB_DIR%\base64_51.jar
set CLASSPATH=%CLASSPATH%;%TMTP_LIB_DIR%\commons-cli-1.0.jar
set CLASSPATH=%CLASSPATH%;%TMTP_LIB_DIR%\jlog.jar
set CLASSPATH=%CLASSPATH%;%TMTP_LIB_DIR%\jffdc.jar
set CLASSPATH=%CLASSPATH%;%TMTP_LIB_DIR%\jflt.jar
set CLASSPATH=%CLASSPATH%;%TMTP_LIB_DIR%\ejflt.jar
set CLASSPATH=%CLASSPATH%;%TMTP_LIB_DIR%\copyright.jar

set PATH=%JRE_BIN_DIR%;%PATH%

java -Djlog.propertyFileDir=%CLI_CONFIG_DIR% -Dcom.ibm.tivoli.transperf.logging.qualDir="J2EE/cli" -DW32ProgFilesDir="%PROGRAMFILES%" -DINSTRUMENT_BIN_DIR=%INSTRUMENT_BIN_DIR% com.ibm.tivoli.transperf.instr.install.UpdateAuthInfo %*

endlocal
